/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "match.h"

void pokerMatchInit(poker_t *poker) {
  uint8_t x;

  // Look at the dealer
  pokerLookAtPlayer(&poker->cameraWorld, POKER_SEAT_DEALER);

  // Reset the main game state. This does not init the round.
  poker->blindBig = POKER_BLIND_BIG_DEFAULT;
  poker->blindSmall = POKER_BLIND_SMALL_DEFAULT;
  poker->roundDealer = 0x00;

  for(x = 0; x < POKER_PLAYER_COUNT; x++) {
    poker->players[x].state = 0x00;
    poker->players[x].chips = POKER_PLAYER_CHIPS_DEFAULT;
  }

  printf("Match start\n");
}

void pokerMatchUpdate(poker_t *poker) {
  
}